"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const account_command_1 = require("../../account-command");
class AccountDelete extends account_command_1.WithPassphrase {
    async run() {
        const { args } = this.parse(AccountDelete);
        this.spinner.start('Delete account');
        const data = await this.execute({
            instanceHash: await this.engineServiceInstance(account_command_1.WithPassphrase.SERVICE_NAME),
            taskKey: 'delete',
            inputs: JSON.stringify({
                passphrase: await this.getPassphrase(),
                address: args.ADDRESS,
            })
        });
        this.spinner.stop(data.address);
        return data;
    }
}
AccountDelete.description = 'Delete an existing account';
AccountDelete.flags = Object.assign({}, account_command_1.WithPassphrase.flags);
AccountDelete.args = [{
        name: 'ADDRESS',
        required: true
    }];
exports.default = AccountDelete;
