"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const command_1 = require("@oclif/command");
const cli_ux_1 = tslib_1.__importDefault(require("cli-ux"));
const root_command_1 = tslib_1.__importDefault(require("../../root-command"));
class ServiceDelete extends root_command_1.default {
    async run() {
        const { argv, flags } = this.parse(ServiceDelete);
        if (!flags.confirm && !await cli_ux_1.default.confirm('Are you sure?'))
            return [];
        this.spinner.start('Delete service');
        for (const hash of argv) {
            this.spinner.status = hash;
            await this.api.service.delete({ hash });
        }
        this.spinner.stop();
        return argv;
    }
}
ServiceDelete.description = 'Delete one or many services';
ServiceDelete.aliases = ['service:rm', 'service:destroy'];
ServiceDelete.flags = Object.assign({}, root_command_1.default.flags, { confirm: command_1.flags.boolean({ description: 'Confirm delete', default: false }) });
ServiceDelete.strict = false;
ServiceDelete.args = [{
        name: 'SERVICE_HASH',
        required: true,
    }];
exports.default = ServiceDelete;
